- Qt 6.4
- Qt Core
- C++ Classes
- iterator
- Qt 6.4.3 Reference Documentation

# Obsolete Members for iterator

The following members of class iterator are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.2))` iterator & | operator+=(difference_type n)
`(deprecated (6.2))` iterator & | operator-=(difference_type n)

## Related Non-Members

`(deprecated (6.2))` iterator | operator+(iterator it, difference_type j)
`(deprecated (6.2))` iterator | operator+(difference_type j, iterator it)
`(deprecated (6.2))` iterator | operator-(iterator it, difference_type j)
`(deprecated (6.2))` iterator | operator-(difference_type j, iterator it)

## Member Function Documentation

### iterator &iterator::operator+=(difference_type n)

### iterator &iterator::operator-=(difference_type n)

### iterator operator+(difference_type j, iterator it)

### iterator operator+(iterator it, difference_type j)

### iterator operator-(difference_type j, iterator it)

### iterator operator-(iterator it, difference_type j)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Use `std::next`, `std::prev` or `std::advance` instead.

Move an iterator by n positions. These operations can be expensive for large values of n; QMultiMap iterators are not random access.